Loading...
Searching...
No Matches
sqlite::private_accessor Struct Reference

A internal used class, shall not be used from users. More...

`#include <private_accessor.hpp>`

Collaboration diagram for sqlite::private_accessor:

## Static Public Member Functions

static struct sqlite3 * | get_handle (connection &m_con)
static void | acccess_check (connection &m_con)

## Detailed Description

A internal used class, shall not be used from users.

Definition at line 41 of file private_accessor.hpp.

## Member Function Documentation

## acccess_check()

void sqlite::private_accessor::acccess_check | ( | connection & | m_con | ) |

inline static

Definition at line 45 of file private_accessor.hpp.

References sqlite::connection::access_check().

Here is the call graph for this function:

## get_handle()

struct sqlite3 * sqlite::private_accessor::get_handle | ( | connection & | m_con | ) |

inline static

Definition at line 42 of file private_accessor.hpp.

References sqlite::connection::handle.

The documentation for this struct was generated from the following file:

- include/sqlite/private/private_accessor.hpp